Subject: Re: [PATCH] Replace "echo -n" with printf in shell scripts.

From: Simon 'corecode' Schubert <[email-masked]>
Date: Thu, 18 Jan 2007 01:02:58 +0100

Junio C Hamano wrote:
>>> We have done this already so it might be too late to raise this
>>> question, but does everybody have printf?
> The problematic are less common ones, ranging from (not so less
> common) OSX, Solaris to (much less common) AIX that some people
> seem to run git on (or at least compile git for).

printf(1) is part of POSIX/SUSv3, so systems *should* have it.

cheers
  simon

-- 
Serve - BSD     +++  RENT this banner advert  +++    ASCII Ribbon   /"\
Work - Mac      +++  space for low €€€ NOW!1  +++      Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \